PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
PREFIX dot: <https://w3id.org/dot#>
PREFIX nsd: <https://www.bim-sis.de/ontology/damage/nsd#>
PREFIX sco: <https://www.bim-sis.de/ontology/damage/sco#>
PREFIX props: <https://w3id.org/product/props#>
PREFIX xsd: <http://www.w3.org/2001/XMLSchema#>

SELECT (xsd:double(SUM(?stoneAreaValue)) / xsd:double(SUM(?damageAreaValue)) AS ?result)
WHERE
{
    ?stone rdf:type nsd:Stone .
    ?stone props:area ?stoneAreaValue .
    ?stone dot:hasDamageArea ?damageArea .
    ?damageArea dot:aggregatesDamageElement ?DamageElement .
    ?DamageElement rdf:type dot:Damage .
    ?damageArea props:area ?damageAreavalue
}

PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
PREFIX dot: <https://w3id.org/dot#>
PREFIX nsd: <https://www.bim-sis.de/ontology/damage/nsd#>
PREFIX sco: <https://www.bim-sis.de/ontology/damage/sco#>
PREFIX props: <https://w3id.org/product/props#>
PREFIX xsd: <http://www.w3.org/2001/XMLSchema#>

SELECT (SUM(?stoneAreaValue) AS ?stoneAreaSum) (SUM(?damageAreaValue) AS ?damageAreaSum) ((xsd:double(?damageAreaSum)) / (xsd:double(?stoneAreaSum)) AS ?result)
WHERE
{
    ?stone rdf:type sco:Stone .
    ?stone props:area ?stoneAreaValue .
    ?damageArea rdf:type dot:DamageArea .
    ?damageArea props:area ?damageAreaValue
}
