PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
PREFIX dot: <https://w3id.org/dot#>
PREFIX nsd: <https://www.bim-sis.de/ontology/damage/nsd#>
PREFIX props: <https://w3id.org/product/props#>
PREFIX xsd: <http://www.w3.org/2001/XMLSchema#>
PREFIX schema: <https://schema.org/>

SELECT (?damageAreaSum / ?stoneAreaSum AS ?damageSpread)
WHERE {
	#Sub-Query für Schadensfläche
	SELECT (SUM(?damageAreaValue) AS ?damageAreaSum)
	WHERE {
		?damageArea rdf:type dot:DamageArea .
    	?damageArea dot:aggregatesDamageElement ?damage .
		?damage rdf:type dot:Damage .
    	?damageArea props:area ?damageAreaValue .
    	FILTER (regex(str(?damageArea), "damageAreaID")) .
	}
	#Sub-Query für Steinfläche
	SELECT (SUM(?stoneAreaValue) AS ?stoneAreaSum)
	WHERE
	{
    	?damageArea rdf:type dot:DamageArea .
    	?damageArea props:stoneArea ?stoneAreaValue .
    	FILTER (regex(str(?damageArea), "damageAreaID")) .
	}
}


